Bug 84014 - Pointer locking protocol
Summary: Pointer locking protocol
Status: RESOLVED FIXED
Alias: None
Product: Wayland
Classification: Unclassified
Component: wayland (show other bugs)
Version: unspecified
Hardware: Other All
: medium enhancement
Assignee: Wayland bug list
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on: 85715
Blocks: 84644
  Show dependency treegraph
 
Reported: 2014-09-17 19:38 UTC by Jonas Ådahl
Modified: 2018-06-04 08:26 UTC (History)
6 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jonas Ådahl 2014-09-17 19:38:18 UTC
There needs to be way for a client to lock the pointer to its window. A common use case is 3D games where the pointer is used control the viewport in a 3D space.

An RFC inspired by the corresponding W3C API was made in Februaray 2013: http://lists.freedesktop.org/archives/wayland-devel/2013-February/007635.html
Comment 1 Jonas Ådahl 2014-09-17 19:41:28 UTC
A follow up to the previous RFC posted here: http://lists.freedesktop.org/archives/wayland-devel/2014-September/017318.html
Comment 2 Pekka Paalanen 2014-11-01 08:47:11 UTC
I'm adding a depends-on to bug 85715 because that report raises an interesting question: with high-resolution, high-rate mice, can we still use wl_fixed_t for the relative motion events, or can it be too imprecise leading slow motion to be rounded to zero?
Comment 3 Jonas Ådahl 2016-09-21 08:17:08 UTC
An unstable protocol (pointer constraints) was released as part of wayland-protocols 1.1. Weston 1.12 includes support. I'll leave this one open until there is a stable protocol added.
Comment 4 Daniel Stone 2018-06-04 08:26:00 UTC
At this point we can probably close it ... :)


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.